
Redmine - Defect #20105

!! Unexpected error while processing request: uninitialized constant Rack::URLMap::PATH_INFO

2015-06-16 18:37 - C. R.

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.3

Description

I've tried to install redmine on a current debian with thin and nginx.

Requests to the Url result in 502 Bad Gateway.

The thin log looks like this:

root@srv:/srv/nginx/foo/redmine# tail -f /var/log/thin/redmine.0.log
History

#1 - 2015-06-16 18:41 - C. R.

More detailed logfile:

root@srv:/var/log/thin# cat redmine.0.log

>> Writing PID to /var/run/thin/redmine.0.pid

>> Changing process privilege to www-data:www-data

>> Using rack adapter

>> Thin web server (v1.3.1 codename Triple Espresso)

>> Maximum connections set to 1024

>> Listening on /var/run/thin/redmine.0.sock, CTRL+C to stop

!! Unexpected error while processing request: uninitialized constant Rack::URLMap::PATH_INFO

#2 - 2015-06-17 15:34 - C. R.

- Status changed from New to Resolved

This seems to be related to thin, not to redmine itself...

#3 - 2015-06-17 20:07 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks for the feedback.
